diff --git a/tests/TestSuite_meson_tests.py b/tests/TestSuite_meson_tests.py
index ee95fffa..2b9f0c6a 100644
--- a/tests/TestSuite_meson_tests.py
+++ b/tests/TestSuite_meson_tests.py
@@ -13,8 +13,31 @@ from mimetypes import init
 from sre_constants import SUCCESS
 
 import framework.utils as utils
+from framework.config import UserConf
+from framework.settings import CONFIG_ROOT_PATH
 from framework.test_case import TestCase
 
+meson_args = {
+    "time_out": "-t",
+    "test_args": "--test-args",
+    "verbose": "-v",
+    "num_processes": "--num-processes",
+    "repeat": "--repeat",
+    "no-rebuild": "--no-rebuild",
+    "gdb": "--gdb",
+    "gdb-path": "--gdb-path",
+    "list": "--list",
+    "wrapper": "--wrapper",
+    "WD": "-C",
+    "no-suite": "--no-suite",
+    "no-stdsplit": "--no-stdsplit",
+    "print-errorlogs": "--print-errorlogs",
+    "benchmark": "--benchmark",
+    "logbase": "--logbase",
+    "quiet": "--quiet",
+    "setup": "--setup",
+}
+
 
 class TestMesonTests(TestCase):
     def set_up_all(self):
@@ -36,6 +59,9 @@ class TestMesonTests(TestCase):
             os.path.dirname(os.path.dirname(os.path.realpath(__file__))), "output"
         )
 
+        config_file = os.path.join(CONFIG_ROOT_PATH, "meson_tests.cfg")
+        self.config_peer = UserConf(config_file)
+
     def set_up(self):
         """
         Run before each test case.
@@ -99,6 +125,21 @@ class TestMesonTests(TestCase):
                 sub_timeout = "[" + ",".join(timeout) + "] sub case time out. "
             self.verify(False, f"Test failed. {sub_fail}{sub_timeout}")
 
+    def meson_param(self, caselist):
+        param = ""
+        conf_session = self.config_peer.conf._sections
+        suite = conf_session["suite"][caselist]
+        params_list = conf_session["options"]
+        if suite != "-1":
+            param += suite
+        for item in params_list:
+            param_vlaue = params_list[item]
+            if item in meson_args.keys():
+                key = meson_args[item]
+            if param_vlaue != "-1":
+                param += " " + key + " " + params_list[item]
+        return param
+
     def check_scp_file_valid_between_dut(self):
         out = self.tester.send_command(
             f"scp root@{self.dut_ip}:/root/{self.dut_pathlog} {self.base_output}",
@@ -141,49 +182,49 @@ class TestMesonTests(TestCase):
         self.check_sub_case()
 
     def test_fasts(self):
+        param = self.meson_param("fast-tests")
         # init file name
         self.dut_pathlog = "fast-test.log"
         self.delete_exists_files()
         self.insmod_kni()
         # config test case list in conf/meson_tests.cfg
-        caselist = self.get_suite_cfg()["fast-tests"]
-        cmds = f'meson test -C x86_64-native-linuxapp-gcc/ --suite DPDK:fast-tests {caselist} -t {self.ratio} --test-args="-c 0xff" |tee /root/{self.dut_pathlog}'
+        cmds = f"meson test -C x86_64-native-linuxapp-gcc/ --suite DPDK:fast-tests {param} |tee /root/{self.dut_pathlog}"
         out = self.dut.send_expect(cmds, "# ", self.execute_wait_time)
         self.logger.info(out)
         self.check_scp_file_valid_between_dut()
         self.check_meson_test_result()
 
     def test_driver(self):
+        param = self.meson_param("driver-tests")
         # init file name
         self.dut_pathlog = "driver-test.log"
         self.delete_exists_files()
         # config test case list in conf/meson_tests.cfg
-        caselist = self.get_suite_cfg()["driver-tests"]
-        cmds = f'meson test -C x86_64-native-linuxapp-gcc/ --suite DPDK:driver-tests {caselist} -t {self.ratio} --test-args="-c 0xff" |tee /root/{self.dut_pathlog}'
+        cmds = f"meson test -C x86_64-native-linuxapp-gcc/ --suite DPDK:driver-tests {param} |tee /root/{self.dut_pathlog}"
         out = self.dut.send_expect(cmds, "# ", self.execute_wait_time)
         self.logger.info(out)
         self.check_scp_file_valid_between_dut()
         self.check_meson_test_result()
 
     def test_debug(self):
+        param = self.meson_param("debug-tests")
         self.dut_pathlog = "test-debug.log"
         # delete exists files
         self.delete_exists_files()
         # config test case list in conf/meson_tests.cfg
-        caselist = self.get_suite_cfg()["debug-tests"]
-        cmds = f'meson test -C x86_64-native-linuxapp-gcc/ --suite DPDK:debug-tests {caselist} -t {self.ratio} --test-args="-c 0xff" |tee /root/{self.dut_pathlog}'
+        cmds = f"meson test -C x86_64-native-linuxapp-gcc/ --suite DPDK:debug-tests {param} |tee /root/{self.dut_pathlog}"
         out = self.dut.send_expect(cmds, "# ", self.execute_wait_time)
         self.logger.info(out)
         self.check_scp_file_valid_between_dut()
         self.check_meson_test_result()
 
     def test_extra(self):
+        param = self.meson_param("extra-tests")
         self.dut_pathlog = "extra-test.log"
         # delete exists files
         self.delete_exists_files()
         # config test case list in conf/meson_tests.cfg
-        caselist = self.get_suite_cfg()["extra-tests"]
-        cmds = f'meson test -C x86_64-native-linuxapp-gcc/ --suite DPDK:extra-tests {caselist} -t {self.ratio} --test-args="-c 0xff" |tee /root/{self.dut_pathlog}'
+        cmds = f"meson test -C x86_64-native-linuxapp-gcc/ --suite DPDK:extra-tests {param} |tee /root/{self.dut_pathlog}"
         out = self.dut.send_expect(cmds, "# ", self.execute_wait_time)
         self.logger.info(out)
         self.check_scp_file_valid_between_dut()
@@ -193,13 +234,13 @@ class TestMesonTests(TestCase):
         )
 
     def test_perf(self):
+        param = self.meson_param("perf-tests")
         # init file name
         self.dut_pathlog = "perf-test.log"
         # delete exists files
         self.delete_exists_files()
         # config test case list in conf/meson_tests.cfg
-        caselist = self.get_suite_cfg()["perf-tests"]
-        cmds = f'meson test -C x86_64-native-linuxapp-gcc/ --suite DPDK:perf-tests {caselist} -t {self.ratio} --test-args="-c 0xff" |tee /root/{self.dut_pathlog}'
+        cmds = f"meson test -C x86_64-native-linuxapp-gcc/ --suite DPDK:perf-tests {param} |tee /root/{self.dut_pathlog}"
         out = self.dut.send_expect(cmds, "# ", self.execute_wait_time)
         self.logger.info(out)
         self.check_scp_file_valid_between_dut()